ZooKeeper for Solr 7.6

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

ZooKeeper for Solr 7.6

Yasufumi Mizoguchi
Hi

I am trying Solr 7.6 in SolrCloud mode.
But I found that ZooKeeper 3.4.11 has a critical issue about handling
data/log directories.
(https://issues.apache.org/jira/browse/ZOOKEEPER-2960)

So, I want to know if using ZooKeeper 3.4.12 with Solr 7.6 is safe.

Does anyone know this?

Thanks,
Yasufumi.
Reply | Threaded
Open this post in threaded view
|

Re: ZooKeeper for Solr 7.6

Jan Høydahl / Cominvent
That is no problem, doing it myself.

--
Jan Høydahl, search solution architect
Cominvent AS - www.cominvent.com

> 18. des. 2018 kl. 04:34 skrev Yasufumi Mizoguchi <[hidden email]>:
>
> Hi
>
> I am trying Solr 7.6 in SolrCloud mode.
> But I found that ZooKeeper 3.4.11 has a critical issue about handling
> data/log directories.
> (https://issues.apache.org/jira/browse/ZOOKEEPER-2960)
>
> So, I want to know if using ZooKeeper 3.4.12 with Solr 7.6 is safe.
>
> Does anyone know this?
>
> Thanks,
> Yasufumi.

Reply | Threaded
Open this post in threaded view
|

Re: ZooKeeper for Solr 7.6

Yasufumi Mizoguchi
Thank you Jan.

I will try it.

Thanks,
Yasufumi.

2018年12月18日(火) 17:21 Jan Høydahl <[hidden email]>:

> That is no problem, doing it myself.
>
> --
> Jan Høydahl, search solution architect
> Cominvent AS - www.cominvent.com
>
> > 18. des. 2018 kl. 04:34 skrev Yasufumi Mizoguchi <[hidden email]
> >:
> >
> > Hi
> >
> > I am trying Solr 7.6 in SolrCloud mode.
> > But I found that ZooKeeper 3.4.11 has a critical issue about handling
> > data/log directories.
> > (https://issues.apache.org/jira/browse/ZOOKEEPER-2960)
> >
> > So, I want to know if using ZooKeeper 3.4.12 with Solr 7.6 is safe.
> >
> > Does anyone know this?
> >
> > Thanks,
> > Yasufumi.
>
>
S G
Reply | Threaded
Open this post in threaded view
|

Re: ZooKeeper for Solr 7.6

S G
Why don't you try 3.4.13 instead? That's a version newer than 3.4.12

On Tue, Dec 18, 2018 at 12:37 AM Yasufumi Mizoguchi <[hidden email]>
wrote:

> Thank you Jan.
>
> I will try it.
>
> Thanks,
> Yasufumi.
>
> 2018年12月18日(火) 17:21 Jan Høydahl <[hidden email]>:
>
> > That is no problem, doing it myself.
> >
> > --
> > Jan Høydahl, search solution architect
> > Cominvent AS - www.cominvent.com
> >
> > > 18. des. 2018 kl. 04:34 skrev Yasufumi Mizoguchi <
> [hidden email]
> > >:
> > >
> > > Hi
> > >
> > > I am trying Solr 7.6 in SolrCloud mode.
> > > But I found that ZooKeeper 3.4.11 has a critical issue about handling
> > > data/log directories.
> > > (https://issues.apache.org/jira/browse/ZOOKEEPER-2960)
> > >
> > > So, I want to know if using ZooKeeper 3.4.12 with Solr 7.6 is safe.
> > >
> > > Does anyone know this?
> > >
> > > Thanks,
> > > Yasufumi.
> >
> >
>
Reply | Threaded
Open this post in threaded view
|

Re: ZooKeeper for Solr 7.6

Yasufumi Mizoguchi
Hi,

I searched JIRA and found SOLR-12727 .
( https://issues.apache.org/jira/browse/SOLR-12727 )
That is why I avoided using ZooKeeper 3.4.13 .

Thanks,
Yasufumi

2018年12月19日(水) 16:02 S G <[hidden email]>:

> Why don't you try 3.4.13 instead? That's a version newer than 3.4.12
>
> On Tue, Dec 18, 2018 at 12:37 AM Yasufumi Mizoguchi <
> [hidden email]>
> wrote:
>
> > Thank you Jan.
> >
> > I will try it.
> >
> > Thanks,
> > Yasufumi.
> >
> > 2018年12月18日(火) 17:21 Jan Høydahl <[hidden email]>:
> >
> > > That is no problem, doing it myself.
> > >
> > > --
> > > Jan Høydahl, search solution architect
> > > Cominvent AS - www.cominvent.com
> > >
> > > > 18. des. 2018 kl. 04:34 skrev Yasufumi Mizoguchi <
> > [hidden email]
> > > >:
> > > >
> > > > Hi
> > > >
> > > > I am trying Solr 7.6 in SolrCloud mode.
> > > > But I found that ZooKeeper 3.4.11 has a critical issue about handling
> > > > data/log directories.
> > > > (https://issues.apache.org/jira/browse/ZOOKEEPER-2960)
> > > >
> > > > So, I want to know if using ZooKeeper 3.4.12 with Solr 7.6 is safe.
> > > >
> > > > Does anyone know this?
> > > >
> > > > Thanks,
> > > > Yasufumi.
> > >
> > >
> >
>
Reply | Threaded
Open this post in threaded view
|

Re: ZooKeeper for Solr 7.6

Erick Erickson
As far as anyone knows, the issues in SOLR-12727 are test-only issues.
That said, I don't know of anyone using ZooKeeper 3.4.13 in the field.
That said I also haven't heard of any problems either.

And do note that 3.4.13 is now being used in Solr branch_7x (which
will be Solr 7.7 if one is released).

Best,
Erick

On Wed, Dec 19, 2018 at 4:53 PM Yasufumi Mizoguchi
<[hidden email]> wrote:

>
> Hi,
>
> I searched JIRA and found SOLR-12727 .
> ( https://issues.apache.org/jira/browse/SOLR-12727 )
> That is why I avoided using ZooKeeper 3.4.13 .
>
> Thanks,
> Yasufumi
>
> 2018年12月19日(水) 16:02 S G <[hidden email]>:
>
> > Why don't you try 3.4.13 instead? That's a version newer than 3.4.12
> >
> > On Tue, Dec 18, 2018 at 12:37 AM Yasufumi Mizoguchi <
> > [hidden email]>
> > wrote:
> >
> > > Thank you Jan.
> > >
> > > I will try it.
> > >
> > > Thanks,
> > > Yasufumi.
> > >
> > > 2018年12月18日(火) 17:21 Jan Høydahl <[hidden email]>:
> > >
> > > > That is no problem, doing it myself.
> > > >
> > > > --
> > > > Jan Høydahl, search solution architect
> > > > Cominvent AS - www.cominvent.com
> > > >
> > > > > 18. des. 2018 kl. 04:34 skrev Yasufumi Mizoguchi <
> > > [hidden email]
> > > > >:
> > > > >
> > > > > Hi
> > > > >
> > > > > I am trying Solr 7.6 in SolrCloud mode.
> > > > > But I found that ZooKeeper 3.4.11 has a critical issue about handling
> > > > > data/log directories.
> > > > > (https://issues.apache.org/jira/browse/ZOOKEEPER-2960)
> > > > >
> > > > > So, I want to know if using ZooKeeper 3.4.12 with Solr 7.6 is safe.
> > > > >
> > > > > Does anyone know this?
> > > > >
> > > > > Thanks,
> > > > > Yasufumi.
> > > >
> > > >
> > >
> >
Reply | Threaded
Open this post in threaded view
|

Re: ZooKeeper for Solr 7.6

Yasufumi Mizoguchi
Thank you Erick.

I will also try ZooKeeper 3.4.13 with Solr 7.6.

Thanks,
Yasufumi.

2018年12月20日(木) 9:58 Erick Erickson <[hidden email]>:

> As far as anyone knows, the issues in SOLR-12727 are test-only issues.
> That said, I don't know of anyone using ZooKeeper 3.4.13 in the field.
> That said I also haven't heard of any problems either.
>
> And do note that 3.4.13 is now being used in Solr branch_7x (which
> will be Solr 7.7 if one is released).
>
> Best,
> Erick
>
> On Wed, Dec 19, 2018 at 4:53 PM Yasufumi Mizoguchi
> <[hidden email]> wrote:
> >
> > Hi,
> >
> > I searched JIRA and found SOLR-12727 .
> > ( https://issues.apache.org/jira/browse/SOLR-12727 )
> > That is why I avoided using ZooKeeper 3.4.13 .
> >
> > Thanks,
> > Yasufumi
> >
> > 2018年12月19日(水) 16:02 S G <[hidden email]>:
> >
> > > Why don't you try 3.4.13 instead? That's a version newer than 3.4.12
> > >
> > > On Tue, Dec 18, 2018 at 12:37 AM Yasufumi Mizoguchi <
> > > [hidden email]>
> > > wrote:
> > >
> > > > Thank you Jan.
> > > >
> > > > I will try it.
> > > >
> > > > Thanks,
> > > > Yasufumi.
> > > >
> > > > 2018年12月18日(火) 17:21 Jan Høydahl <[hidden email]>:
> > > >
> > > > > That is no problem, doing it myself.
> > > > >
> > > > > --
> > > > > Jan Høydahl, search solution architect
> > > > > Cominvent AS - www.cominvent.com
> > > > >
> > > > > > 18. des. 2018 kl. 04:34 skrev Yasufumi Mizoguchi <
> > > > [hidden email]
> > > > > >:
> > > > > >
> > > > > > Hi
> > > > > >
> > > > > > I am trying Solr 7.6 in SolrCloud mode.
> > > > > > But I found that ZooKeeper 3.4.11 has a critical issue about
> handling
> > > > > > data/log directories.
> > > > > > (https://issues.apache.org/jira/browse/ZOOKEEPER-2960)
> > > > > >
> > > > > > So, I want to know if using ZooKeeper 3.4.12 with Solr 7.6 is
> safe.
> > > > > >
> > > > > > Does anyone know this?
> > > > > >
> > > > > > Thanks,
> > > > > > Yasufumi.
> > > > >
> > > > >
> > > >
> > >
>
Reply | Threaded
Open this post in threaded view
|

Re: ZooKeeper for Solr 7.6

Dominique Bejean
In reply to this post by Yasufumi Mizoguchi
Hi,

This is a Solr side issue not a Zookeeper side issue.
Zookeeper 3.4.13 is 5 monthes old version so you can use it on server side
with the zookeeper client 3.4.11 provided by Solr.

Dominique


Le jeu. 20 déc. 2018 à 01:53, Yasufumi Mizoguchi <[hidden email]> a
écrit :

> Hi,
>
> I searched JIRA and found SOLR-12727 .
> ( https://issues.apache.org/jira/browse/SOLR-12727 )
> That is why I avoided using ZooKeeper 3.4.13 .
>
> Thanks,
> Yasufumi
>
> 2018年12月19日(水) 16:02 S G <[hidden email]>:
>
> > Why don't you try 3.4.13 instead? That's a version newer than 3.4.12
> >
> > On Tue, Dec 18, 2018 at 12:37 AM Yasufumi Mizoguchi <
> > [hidden email]>
> > wrote:
> >
> > > Thank you Jan.
> > >
> > > I will try it.
> > >
> > > Thanks,
> > > Yasufumi.
> > >
> > > 2018年12月18日(火) 17:21 Jan Høydahl <[hidden email]>:
> > >
> > > > That is no problem, doing it myself.
> > > >
> > > > --
> > > > Jan Høydahl, search solution architect
> > > > Cominvent AS - www.cominvent.com
> > > >
> > > > > 18. des. 2018 kl. 04:34 skrev Yasufumi Mizoguchi <
> > > [hidden email]
> > > > >:
> > > > >
> > > > > Hi
> > > > >
> > > > > I am trying Solr 7.6 in SolrCloud mode.
> > > > > But I found that ZooKeeper 3.4.11 has a critical issue about
> handling
> > > > > data/log directories.
> > > > > (https://issues.apache.org/jira/browse/ZOOKEEPER-2960)
> > > > >
> > > > > So, I want to know if using ZooKeeper 3.4.12 with Solr 7.6 is safe.
> > > > >
> > > > > Does anyone know this?
> > > > >
> > > > > Thanks,
> > > > > Yasufumi.
> > > >
> > > >
> > >
> >
>